aim4.config

## Class DebugPoint

- java.lang.Object
- - aim4.config.DebugPoint

-     public class DebugPoint
      extends Object

  A structure to hold information regarding debugging display information. These allow a vehicle to sort of "point" at things that will show up in the visualizer, with optional text at that point.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DebugPoint(Point2D point)` Class constructor for only a point with no line.
    `DebugPoint(Point2D point, Point2D startPoint)` Class constructor for a point with a line.
    `DebugPoint(Point2D point, Point2D startPoint, Color color)` Class constructor for a colored line.
    `DebugPoint(Point2D point, Point2D startPoint, String msg)` Class constructor for a line with text.
    `DebugPoint(Point2D point, Point2D startPoint, String msg, Color color)` Class constructor for a colored line with text.
    `DebugPoint(Point2D point, String msg)` Class constructor for a point with text.
    `DebugPoint(Point2D point, String msg, Color color)` Class constructor for a colored point with text.
    `DebugPoint(String msg)` Class constructor for text only.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Color` | `getColor()` Get the color of this DebugPoint.
    `Point2D` | `getPoint()` Get the point associated with this DebugPoint.
    `Point2D` | `getStartPoint()` Get the start point associated with this DebugPoint.
    `String` | `getText()` Get the text associated with this DebugPoint.
    `boolean` | `hasStartPoint()` Whether or not this DebugPoint has a start point.
    `boolean` | `hasText()` Whether or not this DebugPoint has associated text.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DebugPoint

          public DebugPoint(Point2D point)

      Class constructor for only a point with no line.
      Parameters:
        `point` - the location of the debug point

    - #### DebugPoint

          public DebugPoint(String msg)

      Class constructor for text only.
      Parameters:
        `msg` - the text for this text-only DebugPoint

    - #### DebugPoint

          public DebugPoint(Point2D point,
                    Point2D startPoint)

      Class constructor for a point with a line.
      Parameters:
        `point` - the location of the debug point
        `startPoint` - the point from which to draw a line to the debug point

    - #### DebugPoint

          public DebugPoint(Point2D point,
                    String msg)

      Class constructor for a point with text.
      Parameters:
        `point` - the location of the debug point
        `msg` - the text to display alongside the debug point

    - #### DebugPoint

          public DebugPoint(Point2D point,
                    String msg,
                    Color color)

      Class constructor for a colored point with text.
      Parameters:
        `point` - the location of the debug point
        `msg` - the text to display alongside the debug point
        `color` - the color with which to display the point and text

    - #### DebugPoint

          public DebugPoint(Point2D point,
                    Point2D startPoint,
                    String msg)

      Class constructor for a line with text.
      Parameters:
        `point` - the location of the debug point
        `startPoint` - the point from which to draw a line to the debug point
        `msg` - the text to display alongside the debug point

    - #### DebugPoint

          public DebugPoint(Point2D point,
                    Point2D startPoint,
                    Color color)

      Class constructor for a colored line.
      Parameters:
        `point` - the location of the debug point
        `startPoint` - the point from which to draw a line to the debug point
        `color` - the color with which to display the point and line

    - #### DebugPoint

          public DebugPoint(Point2D point,
                    Point2D startPoint,
                    String msg,
                    Color color)

      Class constructor for a colored line with text.
      Parameters:
        `point` - the location of the debug point
        `startPoint` - the point from which to draw a line to the debug point
        `msg` - the text to display alongside the debug point
        `color` - the color with which to display the point, line, and text

  - ### Method Detail

    - #### hasText

          public boolean hasText()

      Whether or not this DebugPoint has associated text.
      Returns:
        whether or not this DebugPoint has associated text

    - #### hasStartPoint

          public boolean hasStartPoint()

      Whether or not this DebugPoint has a start point.
      Returns:
        whether or not this DebugPoint has a start point

    - #### getPoint

          public Point2D getPoint()

      Get the point associated with this DebugPoint.
      Returns:
        the point associated with this DebugPoint

    - #### getStartPoint

          public Point2D getStartPoint()

      Get the start point associated with this DebugPoint.
      Returns:
        the start point associated with this DebugPoint

    - #### getColor

          public Color getColor()

      Get the color of this DebugPoint.
      Returns:
        the color of this DebugPoint

    - #### getText

          public String getText()

      Get the text associated with this DebugPoint.
      Returns:
        the text associated with this DebugPoint

Copyright © 2013. All rights reserved.